It's not a secret anymore!
The moose likes Linux / UNIX and the fly likes Java Plugin -> RH7.2, Netscape 4.x ??? Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Engineering » Linux / UNIX
Bookmark "Java Plugin -> RH7.2, Netscape 4.x ???" Watch "Java Plugin -> RH7.2, Netscape 4.x ???" New topic
Author

Java Plugin -> RH7.2, Netscape 4.x ???

Jack Gold
Ranch Hand

Joined: Feb 04, 2005
Posts: 85
Having problems installing the java plugin for either netscape or mozilla.

System:
RH7.2
j2sdk1.4.2_04 (installed to /opt/j2sdk1.4.2_04 )

1) Set JAVA_HOME to /opt/j2sdk1.4.2_04

2) Created symbolic link to the plugin in netscapes plugin directory
Plugin directory: /usr/lib/netscape/plugins (Link is here)
Target: /opt/j2sdk1.4.2_04/jre/plugin/i386/ns4/libjavaplugin.so

(Also tried the same thing with mozilla. At least mozilla tells me it cant find the plug in.)

When I try to run my applet, get "Bad major version number"


Please help me.


SCJP 1.4<br />SCJD <br />SCWCD (Studying)
Tim Holloway
Saloon Keeper

Joined: Jun 25, 2001
Posts: 17145
    
  27

Probably you're having issues with C compiler version incompatibilities. Between RH 7 and the current OS releases like FC3, gcc went from version 2 to version 3 (with some odd things done at Red Hat along the way).

You might want to check the FAQs at mozilla.org.


An IDE is no substitute for an Intelligent Developer.
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: Java Plugin -> RH7.2, Netscape 4.x ???
 
It's not a secret anymore!